| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.DeviceEEPROM Class Reference
Inheritance diagram for optoICC.registers.icc_registers.DeviceEEPROM:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| EEPROMLockEnable (self, enable=True)
| Enables/disables EEPROM writing.
| GetEEPROM (self, index, count)
| Gets the EEPROM data of the device connected to this channel.
| SetEEPROM (self, index, vector)
| Sets the EEPROM data of the device connected to this channel.
| VerifyEEPROM (self, index, vector)
| Compares stored EEPROM with vector provided as parameter.
| ReparseEEPROM (self)
| After writing new EEPROM, configuration needs to be reparsed by this method.
| GetSerialNumber (self)
| Gets the serial number of the device connected to this channel.
| GetEEPROMversion (self)
| Gets the EEPROM version of the device connected to this channel.
| GetEEPROMsubversion (self)
| Gets the EEPROM subversion of the device connected to this channel.
| GetPartConfig (self)
| Gets the part configuration of the device connected to this channel.
| GetPartConfigVersion (self)
| Gets the part configuration version of the device connected to this channel.
| GetMaxPosCurrent (self)
| Gets the maximum positive current value (as absolute value) of the device connected to this channel.
| GetMaxNegCurrent (self)
| Gets the maximum negative current value (as absolute value) of the device connected to this channel.
| GetOQCresult (self)
| Gets the OQC result of the device connected to this channel.
| GetProdTime (self)
| Gets the production timestamp of the device connected to this channel.
| GetEEPROMSize (self)
| Gets the size of the EEPROM (in bytes) of the device connected to this channel.
| SetSerialNumber (self, serial)
| SetMaxPosCurrent (self, posCurrent)
| SetMaxNegCurrent (self, negCurrent)

## Static Public Member Functions
| help ()

## Public Attributes
| channel
| sys_id
| lock
| eeprom_version
| eeprom_subversion
| part_config
| part_config_version
| max_pos_current
| max_neg_current
| oqc_result
| prod_time
| reparse
| eeprom_size
| eeprom
| serial_number

## Protected Member Functions
| _SetEEPROMSegment (self, index, vector)
| _GetEEPROMSegment (self, index, count)

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - DeviceEEPROM Read/Write
    System ID: 0x21

    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2100  | Device EEPROM lock             | 1 (locked)    | Write the key (0x3edeb7aa) to unlock, anything else to lock.      | uint32 | read write|
    * | 0x2101  | Device EEPROM version          | N/A           |                                                                   | uint16 | read only |
    * | 0x2102  | Device EEPROM subversion       | N/A           |                                                                   | uint8  | read only |
    * | 0x2103  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2104  | Part configuration version     | N/A           |                                                                   | uint8  | read only |
    * | 0x2105  | Maximum positive current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2106  | Maximum negative current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2107  | OQC result                     | N/A           | Encoding: 0x00 = None, 0x01 = Pass, 0x02 = Fail                   | uint8  | read only |
    * | 0x2108  | Production Time-stamp          | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read only |
    * | 0x2109  | Force device EEPROM re-parsing | N/A           | Read register to trigger. Automatic parsing of device EEPROM happens only at system start up | uint32 | read only |
    * | 0x210A  | Device EEPROM size             | N/A           |                                                                   | uint16 | read only |
    *
    *
    *
    * Vector map (vectors have their own address space):
    * Address | Name                  | Default  | Description      | Format and value | Access    |
    * --------|-----------------------|----------|------------------|------------------|-----------|
    * 0x2100  |Firmware SN            |          | bytes up to 0x7f | bytes            | read write|
    * 0x2101  |Device serial number   |          | 8 bytes SN       | ascii string     | read only |
    *

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.DeviceEEPROM.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetEEPROMSegment()

optoICC.registers.icc_registers.DeviceEEPROM._GetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | count )
| protected

## ◆ _SetEEPROMSegment()

optoICC.registers.icc_registers.DeviceEEPROM._SetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | vector )
| protected

## ◆ EEPROMLockEnable()

optoICC.registers.icc_registers.DeviceEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = True )

Enables/disables EEPROM writing.

## ◆ GetEEPROM()

optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count )

Gets the EEPROM data of the device connected to this channel.

## ◆ GetEEPROMSize()

optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMSize | ( |  | self | ) |

Gets the size of the EEPROM (in bytes) of the device connected to this channel.

## ◆ GetEEPROMsubversion()

optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMsubversion | ( |  | self | ) |

Gets the EEPROM subversion of the device connected to this channel.

## ◆ GetEEPROMversion()

optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMversion | ( |  | self | ) |

Gets the EEPROM version of the device connected to this channel.

## ◆ GetMaxNegCurrent()

optoICC.registers.icc_registers.DeviceEEPROM.GetMaxNegCurrent | ( |  | self | ) |

Gets the maximum negative current value (as absolute value) of the device connected to this channel.

## ◆ GetMaxPosCurrent()

optoICC.registers.icc_registers.DeviceEEPROM.GetMaxPosCurrent | ( |  | self | ) |

Gets the maximum positive current value (as absolute value) of the device connected to this channel.

## ◆ GetOQCresult()

optoICC.registers.icc_registers.DeviceEEPROM.GetOQCresult | ( |  | self | ) |

Gets the OQC result of the device connected to this channel.

## ◆ GetPartConfig()

optoICC.registers.icc_registers.DeviceEEPROM.GetPartConfig | ( |  | self | ) |

Gets the part configuration of the device connected to this channel.

## ◆ GetPartConfigVersion()

optoICC.registers.icc_registers.DeviceEEPROM.GetPartConfigVersion | ( |  | self | ) |

Gets the part configuration version of the device connected to this channel.

## ◆ GetProdTime()

optoICC.registers.icc_registers.DeviceEEPROM.GetProdTime | ( |  | self | ) |

Gets the production timestamp of the device connected to this channel.

## ◆ GetSerialNumber()

optoICC.registers.icc_registers.DeviceEEPROM.GetSerialNumber | ( |  | self | ) |

Gets the serial number of the device connected to this channel.

## ◆ help()

optoICC.registers.icc_registers.DeviceEEPROM.help | ( |  | ) |
| static

## ◆ ReparseEEPROM()

optoICC.registers.icc_registers.DeviceEEPROM.ReparseEEPROM | ( |  | self | ) |

After writing new EEPROM, configuration needs to be reparsed by this method.

## ◆ SetEEPROM()

optoICC.registers.icc_registers.DeviceEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

Sets the EEPROM data of the device connected to this channel.

## ◆ SetMaxNegCurrent()

optoICC.registers.icc_registers.DeviceEEPROM.SetMaxNegCurrent | ( |  | self,
|  |  | negCurrent )

## ◆ SetMaxPosCurrent()

optoICC.registers.icc_registers.DeviceEEPROM.SetMaxPosCurrent | ( |  | self,
|  |  | posCurrent )

## ◆ SetSerialNumber()

optoICC.registers.icc_registers.DeviceEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial )

## ◆ VerifyEEPROM()

optoICC.registers.icc_registers.DeviceEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

Compares stored EEPROM with vector provided as parameter.

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.DeviceEEPROM._is_a_system = False
| static protected

## ◆ channel

optoICC.registers.icc_registers.DeviceEEPROM.channel

## ◆ eeprom

optoICC.registers.icc_registers.DeviceEEPROM.eeprom

## ◆ eeprom_size

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_size

## ◆ eeprom_subversion

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_subversion

## ◆ eeprom_version

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_version

## ◆ lock

optoICC.registers.icc_registers.DeviceEEPROM.lock

## ◆ max_neg_current

optoICC.registers.icc_registers.DeviceEEPROM.max_neg_current

## ◆ max_pos_current

optoICC.registers.icc_registers.DeviceEEPROM.max_pos_current

## ◆ oqc_result

optoICC.registers.icc_registers.DeviceEEPROM.oqc_result

## ◆ part_config

optoICC.registers.icc_registers.DeviceEEPROM.part_config

## ◆ part_config_version

optoICC.registers.icc_registers.DeviceEEPROM.part_config_version

## ◆ prod_time

optoICC.registers.icc_registers.DeviceEEPROM.prod_time

## ◆ reparse

optoICC.registers.icc_registers.DeviceEEPROM.reparse

## ◆ serial_number

optoICC.registers.icc_registers.DeviceEEPROM.serial_number

## ◆ sys_id

optoICC.registers.icc_registers.DeviceEEPROM.sys_id

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/registers/icc_registers.py